
Foreman - Bug #11830

Different results when adding a parameter override from a hostgroup vs puppet class directly
Description

When i add an override from within a hostgroup the contents change after submitting. However, when the same change is made from

within the puppet class section, the change is correct after submitting.

Here is the yaml that is being added and how it looks when submitting from the puppet class directly:

optional:

  name: RH-optional

  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.optional/

  descr: RedHat 6 optional repo

  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release

base:

  name: RH-base

  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.os/

  descr: RedHat 6 base repo

  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release

updates:

  name: RH-updates

  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.updates/

  descr: RedHat 6 updates repo

  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release

pupdeps:

  name: RH-pupdeps

  baseurl: http://yum-corp.example.com/puppet_rh6-x86_64/RPMS.dependencies/

  descr: RedHat 6 Puppet Dependencies repo

  gpgcheck: '0'

pupproducts:

  name: RH-pupproducts

  baseurl: http://yum-corp.example.com/puppet_rh6-x86_64/RPMS.products/

  descr: RedHat 6 Puppet Products repo

  gpgcheck: '0'

 Here is how it looks after submitting to the override from within the hostgroup:

--- ! "optional:\r\n  name: RH-optional\r\n  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.

optional/\r\n

  \ descr: RedHat 6 optional repo\r\n  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release\

r\nbase:\r\n

  \ name: RH-base\r\n  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.os/\r\n

  \ descr: RedHat 6 base repo\r\n  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release\r\nu

pdates:\r\n

  \ name: RH-updates\r\n  baseurl: http://yum-corp.example.com/rh6-x86_64/RPMS.updates/\r\n

  \ descr: RedHat 6 updates repo\r\n  gpgkey: file:///etc/pki/rpm-gpg/RPM-GPG-KEY-redhat-release\r

\npupdeps:\r\n

  \ name: RH-pupdeps\r\n  baseurl: http://yum-corp.example.com/puppet_rh6-x86_64/RPMS.dependencies
/\r\n

  \ descr: RedHat 6 Puppet Dependencies repo\r\n  gpgcheck: '0'\r\npupproducts:\r\n

  \ name: RH-pupproducts\r\n  baseurl: http://yum-corp.example.com/puppet_rh6-x86_64/RPMS.products

/\r\n

  \ descr: RedHat 6 Puppet Products repo\r\n  gpgcheck: '0'\r\n\r\n...\r\n" 

Related issues:

Is duplicate of Foreman - Bug #11375: Smart class parameters turn YAML to str... Closed 08/16/2015

History

#1 - 09/15/2015 11:35 AM - Michael Palmer

Katello 2.3

Foreman 1.9.1

#2 - 09/15/2015 01:52 PM - Michael Palmer

This is also happening from the host level. If i select an individual host and edit the parameters on a single host, the outcome is the same as making

changes from the hostgroup.

However, there is an added issue as i can't delete the override from the host level.  I have to remove it from within the puppet class page.

#3 - 09/22/2015 12:49 PM - Eric Helms

- Project changed from Katello to Foreman

#4 - 09/22/2015 01:01 PM - Daniel Lobato Garcia

- Priority changed from Normal to High

#5 - 09/23/2015 03:09 AM - Dominic Cleal

- Is duplicate of Bug #11375: Smart class parameters turn YAML to string when using a multi line yaml added

#6 - 09/23/2015 03:10 AM - Dominic Cleal

- Status changed from New to Duplicate

Thanks for the report.  This is unfixed but is being tracked under the ticket #11375.  Regarding deleting of overrides, this should be fixed in Foreman

1.9.2 via #11807, released yesterday.
